complement.hpp File Reference
`#include <sstream>`

Go to the source code of this file.

## Classes

class | Gecode::Set::LubRanges< ComplementView< View > >
| Range iterator for least upper bound of complement set views More...
class | Gecode::Set::LubRanges< ComplementView< ComplementView< View > > >
| Range iterator for the least upper bound of double-complement-views. More...
class | Gecode::Set::GlbRanges< ComplementView< View > >
| Range iterator for greatest lower bound of complement set views More...
class | Gecode::Set::GlbRanges< ComplementView< ComplementView< View > > >
| Range iterator for the greatest lower bound of double-complement-views. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.